<div *ngIf="communicationEventCDB">
    <div *ngIf="dataStnk.idReqTyp == 102 || 
                dataStnk.idReqTyp == 103 || 
                dataStnk.idReqTyp == null">
    <div class="row">
    
        <div class="col-md-6">
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.province">Provinsi</label>
                    <!-- CHECK -->
                    <jhi-province-view
                        [province] = "dataStnk.personOwner.postalAddress.provinceId"
                        on-select="getProvince($event)"
                        [readonly]="true"              
                        ></jhi-province-view>
                </div>
    
                <div class="form-group">
                        
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.cityDistrict">Kota </label>            
                    <jhi-city-view
                        [city] = "dataStnk.personOwner.postalAddress.cityId"
                        [province] = "dataStnk.personOwner.postalAddress.provinceId"
                        on-select="getCity($event)"
                        [readonly]="true"
                    ></jhi-city-view>
                    
                </div>
    
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.districts">kecamtan</label>
                    <jhi-district-view
                        [district] = "dataStnk.personOwner.postalAddress.districtId"
                        [city] = "dataStnk.personOwner.postalAddress.cityId"
                        on-select="getDistrict($event)"
                        [readonly]="true"
                    ></jhi-district-view>
                </div>
    
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.village">Desa</label>
                    <jhi-village-view
                        [district] = "dataStnk.personOwner.postalAddress.districtId"
                        [village] = "dataStnk.personOwner.postalAddress.villageId"
                        on-select="getVillage($event)"
                        [readonly]="true"
                    ></jhi-village-view>
                </div>
    
                <div class="form-group">
                            
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.address">Alamat</label>
                    <input class="form-control" pInputText type="text" [(ngModel)]="dataStnk.personOwner.postalAddress.address1" [disabled]="true"/>
                
                </div>
    
                <div class="form-group">                      
                    <label class="form-input-label">Postal Code</label>
                    <input class="form-control" pInputText type="text" [(ngModel)]="postalCode" [disabled]="true"/>         
                </div>
    
                <label class="form-input-label" >Social Media :</label>
                <div class="row">
                    <div class="col-md-12" style="padding-left:30px">
                        <div class="form-group">
                            
                            <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.facebook">Facebook</label>
                            <input class="form-control"  [(ngModel)]="communicationEventCDB.facebook" pInputText type="text" />
                        
                        </div>
                    </div>
                </div>
    
                <div class="row">
                    <div class="col-md-12" style="padding-left:30px">
                        <div class="form-group">
                            
                            <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.instagram">Instagram</label>
                            <input class="form-control" [(ngModel)]="communicationEventCDB.instagram" pInputText type="text" />
                        
                        </div>
                    </div>
                </div>
    
                <div class="row">
                    <div class="col-md-12" style="padding-left:30px">
                        <div class="form-group">
                            
                            <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.twitter">Twitter</label>
                            <input class="form-control" [(ngModel)]="communicationEventCDB.twitter" pInputText type="text" />
                        
                        </div>
                    </div>
                </div>
    
                <div class="row">
                    <div class="col-md-12" style="padding-left:30px">
                        <div class="form-group">
                            
                            <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.youtube">Youtube</label>
                            <input class="form-control" [(ngModel)]="communicationEventCDB.youtube" pInputText type="text" />
                        
                        </div>
                    </div>
                </div>
    
                <div class="form-group">
                    
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.email">Email</label>
                    <input class="form-control" [(ngModel)]="mail" pInputText type="text" [readonly]="true" />
                
                </div>
    
                <div class="form-group">
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.religion">Agama</label>                     
                    <input class="form-control" [(ngModel)]="religionDesc" pInputText type="text" [readonly]="true"/>                
                </div>
    
                <div class="form-group">
                        
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.deliveryInformation">Alamat yang digunakan untuk korespondensi / Penyampaian informasi</label>
                    <div class="row">
                        <div class="col-md-5">
                            <p-checkbox name="alamat_ktp" label="Alamat KTP" [(ngModel)]="communicationEventCDB.isCityzenIdCardAddress" binary="true" (click)="onChangeCheckBoxKtp()"></p-checkbox>
                        </div>
                        <div class="col-md-7">
                            <p-checkbox name="alamat_surat_menyurat"  label="Alamat surat menyurat" [(ngModel)]="communicationEventCDB.isMailAddress" binary="true" (click)="onChangeCheckBoxSurat()"></p-checkbox>
                        </div> 
                    </div>
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.province">Provinsi</label>
                        <!-- CHECK -->
        
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpProvince; else templateNormalProvince">
                        </div>
                        <ng-template #templateKtpProvince>
                            <jhi-province-view
                            [province] = "dataStnk.personOwner.postalAddress.provinceId"
                            on-select="getProvincesurat($event)"
                            [readonly] = "true"
                            ></jhi-province-view>
                        </ng-template>
                        <ng-template #templateNormalProvince>
                            <jhi-province-view
                            [province] = "communicationEventCDB.idProvinceSurat"
                            on-select="getProvincesurat($event)"
                            ></jhi-province-view>
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.cityDistrict">Kota </label> 
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpKota; else templateNormalKota">
                        </div>
                        <ng-template #templateKtpKota>
                            <jhi-city-view
                            [city] = "dataStnk.personOwner.postalAddress.cityId"
                            [province] = "dataStnk.personOwner.postalAddress.provinceId"
                            on-select="getCitysurat($event)"
                            [readonly] = "true"
                            ></jhi-city-view>
                        </ng-template>
                        
                        <ng-template #templateNormalKota>
                            <jhi-city-view
                            [city] = "communicationEventCDB.idCitySurat"
                            [province] = "communicationEventCDB.idProvinceSurat"
                            on-select="getCitysurat($event)"
                            ></jhi-city-view>
                        </ng-template>
                    <!-- </div> -->
                </div>
    
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.districts">kecamatan</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpkecamatan; else templateNormalkecamatan">
                        </div>
                        <ng-template #templateKtpkecamatan>
                            <jhi-district-view
                            [district] = "dataStnk.personOwner.postalAddress.districtId"
                            [city] = "dataStnk.personOwner.postalAddress.cityId"
                            on-select="getDistrictSurat($event)"
                            [readonly] = "true"
                            ></jhi-district-view> 
                        </ng-template>
                        <ng-template #templateNormalkecamatan>
                            <jhi-district-view
                            [district] = "communicationEventCDB.idDistrictSurat"
                            [city] = "communicationEventCDB.idCitySurat"
                            on-select="getDistrictSurat($event)"
                            ></jhi-district-view> 
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
    
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.village">Desa</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpDesa; else templateNormalDesa">
                        </div>
                        <ng-template #templateKtpDesa>
                            <jhi-village-view
                            [district] = "dataStnk.personOwner.postalAddress.districtId"
                            [village] = "dataStnk.personOwner.postalAddress.villageId"
                            on-select="getVillageSurat($event)"
                            [readonly] = "true"
                            ></jhi-village-view> 
                        </ng-template>
                        <ng-template #templateNormalDesa>
                            <jhi-village-view
                            [district] = "communicationEventCDB.idDistrictSurat"
                            [village] = "communicationEventCDB.idVillageSurat"
                            on-select="getVillageSurat($event)"
                            ></jhi-village-view> 
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.address">Alamat</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpAlamat; else templateNormalAlamat">
                        </div>
                        <ng-template #templateKtpAlamat>
                            <input class="form-control" pInputText type="text" [(ngModel)]="dataStnk.personOwner.postalAddress.address1" [disabled]="true"/>
                        </ng-template>
                        <ng-template #templateNormalAlamat>
                            <input class="form-control" pInputText type="text" [(ngModel)]="communicationEventCDB.addressSurat" />
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">                      
                    <label class="form-input-label ">Postal Code</label>
                    <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpPostal; else templateNormalPostal">
                    </div>
                    <ng-template #templateKtpPostal>
                        <input class="form-control" pInputText type="text" [(ngModel)]="postalCode" [disabled]="true"/>
                    </ng-template>
                    <ng-template #templateNormalPostal>
                        <input class="form-control" pInputText type="text" [(ngModel)]="communicationEventCDB.postalCodeSurat" maxlength="5"/>
                    </ng-template>         
                </div>
        </div>
    
        <div class="col-md-6">
            <div class="form-group">
                    <label >Group Customer</label>
                    <select class="form-control" id="field_groupCustomer" name="groupCustomer" [(ngModel)]="communicationEventCDB.groupCustomer" (change)="selectGroup(communicationEventCDB.groupCustomer)">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="groupCustomers.value" *ngFor="let groupCustomers of groupCustomer;">{{groupCustomers.label}}</option>
                    </select>
            </div>
    
            <div class="form-group">
                    <div *ngIf="isGroup == true">
                        <label class="form-input-label">Kewarganegaraan</label>
                        <select class="form-control" id="field_citizenship" name="citizenship" [(ngModel)]="communicationEventCDB.citizenship" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="citizenships.value" *ngFor="let citizenships of citizenship;">{{citizenships.label}}</option>
                        </select>
                    </div>
        
                    <div *ngIf="isGroup == false">
                        <label class="form-input-label ">Kewarganegaraan</label>
                        <select class="form-control" id="field_citizenship" name="citizenship" [(ngModel)]="communicationEventCDB.citizenship" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="citizenships.value" *ngFor="let citizenships of citizenship;">{{citizenships.label}}</option>
                        </select>
                    </div>
                </div>
    
            <div class="form-group">
                <div *ngIf="isGroup == true">
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.hobby">Hobi</label>
                    <select class="form-control" id="field_hobby" name="hobby" [(ngModel)]="communicationEventCDB.hobby" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="hobbyOption.value" *ngFor="let hobbyOption of hobies;">{{hobbyOption.label}}</option>
                    </select>
                </div>
    
                <div *ngIf="isGroup == false">
                    <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.hobby">Hobi</label>
                    <select class="form-control" id="field_hobby" name="hobby" [(ngModel)]="communicationEventCDB.hobby" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="hobbyOption.value" *ngFor="let hobbyOption of hobies;">{{hobbyOption.label}}</option>
                    </select>
                </div>
            </div>
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.homeStatus">Status Rumah</label>
                <select class="form-control" id="field_homeStatus" name="homeStatus" [(ngModel)]="communicationEventCDB.homeStatus" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="homeStatusOption.value" *ngFor="let homeStatusOption of homeStatues;">{{homeStatusOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                    <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.homeStatus">Status Rumah</label>
                    <select class="form-control" id="field_homeStatus" name="homeStatus" [(ngModel)]="communicationEventCDB.homeStatus" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="homeStatusOption.value" *ngFor="let homeStatusOption of homeStatues;">{{homeStatusOption.label}}</option>
                    </select>
                </div>
        </div>   
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.spending">Pengeluaran dalam 1 (satu) bulan</label>
                <select class="form-control" id="field_expenditureOneMonth" name="expenditureOneMonth" [(ngModel)]="communicationEventCDB.expenditureOneMonth" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="expenditureOneMonthOption.value" *ngFor="let expenditureOneMonthOption of expenditures;">{{expenditureOneMonthOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="" jhiTranslate="mpmApp.vehicleSalesOrder.spending">Pengeluaran dalam 1 (satu) bulan</label>
                <select class="form-control" id="field_expenditureOneMonth" name="expenditureOneMonth" [(ngModel)]="communicationEventCDB.expenditureOneMonth" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="expenditureOneMonthOption.value" *ngFor="let expenditureOneMonthOption of expenditures;">{{expenditureOneMonthOption.label}}</option>
                </select>
            </div>
        </div>  
    
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.job">Pekerjaan</label>
                <select class="form-control" id="field_job" name="job" [(ngModel)]="communicationEventCDB.job" (change)="selectJob(communicationEventCDB.job)">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="jobOption.value" *ngFor="let jobOption of jobs;">{{jobOption.label}}</option>
                </select>
                <!-- <input class="form-control" [(ngModel)]="workDesc" pInputText type="text" [readonly]="true"/> -->
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.job">Pekerjaan</label>
                <select class="form-control" id="field_job" name="job" [(ngModel)]="communicationEventCDB.job" (change)="selectJob(communicationEventCDB.job)">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="jobOption.value" *ngFor="let jobOption of jobs;">{{jobOption.label}}</option>
                </select>
                <!-- <input class="form-control" [(ngModel)]="workDesc" pInputText type="text" [readonly]="true"/> -->
            </div>
        </div>
    
        <div class="form-group">
            <div *ngIf="isJob == true">
                    <label class="form-input-label ">Deskripsi Pekerjaan</label>
                    <input class="form-control" pInputText type="text" />
            </div>
        </div>
    
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.lastEducation">Pendidikan Terakhir</label>                           
                <select class="form-control" id="field_lastEducation" name="lastEducation" [(ngModel)]="communicationEventCDB.lastEducation" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="lastEducationOption.value" *ngFor="let lastEducationOption of educations;">{{lastEducationOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.lastEducation">Pendidikan Terakhir</label>                           
                <select class="form-control" id="field_lastEducation" name="lastEducation" [(ngModel)]="communicationEventCDB.lastEducation" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="lastEducationOption.value" *ngFor="let lastEducationOption of educations;">{{lastEducationOption.label}}</option>
                </select>
            </div>
            
        </div>
    
        <div class="form-group">
                       
            <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.statusKepemilikanHP">Status kepemilikan HP</label>
            <select class="form-control" id="field_mobilePhoneOwnershipStatus" name="mobilePhoneOwnershipStatus" [(ngModel)]="communicationEventCDB.mobilePhoneOwnershipStatus" >
                <option [ngValue]="null"></option>
                <option [ngValue]="mobilePhoneOwnershipStatusOption.value" *ngFor="let mobilePhoneOwnershipStatusOption of hps;">{{mobilePhoneOwnershipStatusOption.label}}</option>
            </select>
            
        </div>
    
    
        <div class="form-group">
            <!-- <div *ngIf="isGroup == false"> -->
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.newInformation">Apakah anda bersedia dikirim informasi terbaru program Honda</label>
                <select class="form-control" id="field_infoAboutHonda" name="infoAboutHonda" [(ngModel)]="communicationEventCDB.infoAboutHonda" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="infoAboutHondaOption.value" *ngFor="let infoAboutHondaOption of infos;">{{infoAboutHondaOption.label}}</option>
                </select>
            <!-- </div> -->
        </div> 
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.lastMotor">Apa merk motor yang anda miliki sebelumnya</label>
                <select class="form-control" id="field_vehicleBrandOwner" name="vehicleBrandOwner" [(ngModel)]="communicationEventCDB.vehicleBrandOwner" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleBrandOwnerOption.value" *ngFor="let vehicleBrandOwnerOption of brandOwners;">{{vehicleBrandOwnerOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.lastMotor">Apa merk motor yang anda miliki sebelumnya</label>
                <select class="form-control" id="field_vehicleBrandOwner" name="vehicleBrandOwner" [(ngModel)]="communicationEventCDB.vehicleBrandOwner" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleBrandOwnerOption.value" *ngFor="let vehicleBrandOwnerOption of brandOwners;">{{vehicleBrandOwnerOption.label}}</option>
                </select>
            </div>
            
        </div>
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.lastTypeMotor">jenis motor yang anda miliki sebelumnya</label>
                <select class="form-control" id="field_vehicleTypeOwner" name="vehicleTypeOwner" [(ngModel)]="communicationEventCDB.vehicleTypeOwner" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleTypeOwnerOption.value" *ngFor="let vehicleTypeOwnerOption of vehicleTypes;">{{vehicleTypeOwnerOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.lastTypeMotor">jenis motor yang anda miliki sebelumnya</label>
                <select class="form-control" id="field_vehicleTypeOwner" name="vehicleTypeOwner" [(ngModel)]="communicationEventCDB.vehicleTypeOwner" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleTypeOwnerOption.value" *ngFor="let vehicleTypeOwnerOption of vehicleTypes;">{{vehicleTypeOwnerOption.label}}</option>
                </select>
            </div>
        </div>
    
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.motorFor">Sepeda  motor yang anda beli digunakan untuk</label>
                <select class="form-control" id="field_vehicleBrandOwner" name="vehicleBrandOwner" [(ngModel)]="communicationEventCDB.buyFor" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleBuyFor.value" *ngFor="let vehicleBuyFor of buyFors;">{{vehicleBuyFor.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.motorFor">Sepeda  motor yang anda beli digunakan untuk</label>
                <select class="form-control" id="field_vehicleBrandOwner" name="vehicleBrandOwner" [(ngModel)]="communicationEventCDB.buyFor" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleBuyFor.value" *ngFor="let vehicleBuyFor of buyFors;">{{vehicleBuyFor.label}}</option>
                </select>
            </div>
        </div>
    
    
        <div class="form-group">
            <div *ngIf="isGroup == true">
                <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.whoUseMotor">Yang menggunakan sepeda motor anda</label>
                <select class="form-control" id="field_vehicleUser" name="vehicleUser" [(ngModel)]="communicationEventCDB.vehicleUser" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="vehicleUserOption.value" *ngFor="let vehicleUserOption of vehicleUsers;">{{vehicleUserOption.label}}</option>
                </select>
            </div>
    
            <div *ngIf="isGroup == false">
                    <label class="form-input-label " jhiTranslate="mpmApp.vehicleSalesOrder.whoUseMotor">Yang menggunakan sepeda motor anda</label>
                    <select class="form-control" id="field_vehicleUser" name="vehicleUser" [(ngModel)]="communicationEventCDB.vehicleUser" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vehicleUserOption.value" *ngFor="let vehicleUserOption of vehicleUsers;">{{vehicleUserOption.label}}</option>
                    </select>
                </div>
        </div>
    
    
        <div class="form-group">
                                
            <label class="form-input-label  ">Jenis Pembayaran</label>
            <input class="form-control" [(ngModel)]="selected" pInputText type="text" [readonly]="true"/>
            <!-- <select class="form-control" id="field_jenisPembayran" name="jenisPembayaran" [(ngModel)]="selected">
                <option [ngValue]="jenisPembayrans.value" *ngFor="let jenisPembayrans of jenisPembayran;">{{jenisPembayrans.label}}</option>
            </select> -->
            <!-- [disabled]="true" -->
        </div>
    
        <div class="form-group">
            <label>Keterangan</label>
            <textarea pInputTextarea class="form-control" autoResize="true" rows="1" [(ngModel)]="communicationEventCDB.keterangan" maxlength="100"></textarea>
        </div>
    </div>
    
    <br>
    <div class="ui-g-12 ">
        <div class="ui-g-10">
        </div>
        <div class="ui-g-2 "  >
            <button pButton type="button" (click)="submitSurvey()" 
                label="Submit "
                icon="fa-ban"
                [disabled]="!editabled || isSaving"
                class="ui-button-primary flat-label-button btn-block">
            </button>
        </div>
    </div>    
    </div>
    <!-- </div> -->
    </div>
    <div *ngIf="dataStnk.idReqTyp == 101">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.province">Provinsi</label>
                    <!-- CHECK -->
                    <jhi-province-view
                        [province] = "dataStnk.organizationOwner.postalAddress.provinceId"
                        on-select="getProvince($event)"
                        [readonly]="true"              
                        ></jhi-province-view>
                </div>
    
                <div class="form-group">
                        
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.cityDistrict">Kota </label>            
                    <jhi-city-view
                        [city] = "dataStnk.organizationOwner.postalAddress.cityId"
                        [province] = "dataStnk.organizationOwner.postalAddress.provinceId"
                        on-select="getCity($event)"
                        [readonly]="true"
                    ></jhi-city-view>
                    
                </div>
    
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.districts">kecamtan</label>
                    <jhi-district-view
                        [district] = "dataStnk.organizationOwner.postalAddress.districtId"
                        [city] = "dataStnk.organizationOwner.postalAddress.cityId"
                        on-select="getDistrict($event)"
                        [readonly]="true"
                    ></jhi-district-view>
                </div>
    
                <div class="form-group">
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.village">Desa</label>
                    <jhi-village-view
                        [district] = "dataStnk.organizationOwner.postalAddress.districtId"
                        [village] = "dataStnk.organizationOwner.postalAddress.villageId"
                        on-select="getVillage($event)"
                        [readonly]="true"
                    ></jhi-village-view>
                </div>
    
                <div class="form-group">
                            
                    <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.address">Alamat</label>
                    <input class="form-control" pInputText type="text" [(ngModel)]="dataStnk.organizationOwner.postalAddress.address1" [disabled]="true"/>
                
                </div>
    
                <div class="form-group">                      
                    <label class="form-input-label">Postal Code</label>
                    <input class="form-control" pInputText type="text" [(ngModel)]="postalCode" [disabled]="true"/>         
                </div>
      
                <div class="form-group">
                    
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.email">Email</label>
                    <input class="form-control" [(ngModel)]="mailOrg" pInputText type="text" [readonly]="true" />
                
                </div>
    
                <!-- <div class="form-group">
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.religion">Agama</label>                     
                    <input class="form-control" [(ngModel)]="religionDesc" pInputText type="text" [readonly]="true"/>                
                </div> -->
    
                <div class="form-group">
                        
                    <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.deliveryInformation">Alamat yang digunakan untuk korespondensi / Penyampaian informasi</label>
                    <div class="row">
                        <div class="col-md-5">
                            <p-checkbox name="alamat_ktp" label="Alamat KTP" [(ngModel)]="communicationEventCDB.isCityzenIdCardAddress" binary="true" (click)="onChangeCheckBoxKtp()"></p-checkbox>
                        </div>
                        <div class="col-md-7">
                            <p-checkbox name="alamat_surat_menyurat"  label="Alamat surat menyurat" [(ngModel)]="communicationEventCDB.isMailAddress" binary="true" (click)="onChangeCheckBoxSurat()"></p-checkbox>
                        </div> 
                    </div>
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.province">Provinsi</label>
                        <!-- CHECK -->
        
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpProvince; else templateNormalProvince">
                        </div>
                        <ng-template #templateKtpProvince>
                            <jhi-province-view
                            [province] = "dataStnk.organizationOwner.postalAddress.provinceId"
                            on-select="getProvincesurat($event)"
                            [readonly] = "true"
                            ></jhi-province-view>
                        </ng-template>
                        <ng-template #templateNormalProvince>
                            <jhi-province-view
                            [province] = "communicationEventCDB.idProvinceSurat"
                            on-select="getProvincesurat($event)"
                            ></jhi-province-view>
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.cityDistrict">Kota </label> 
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpKota; else templateNormalKota">
                        </div>
                        <ng-template #templateKtpKota>
                            <jhi-city-view
                            [city] = "dataStnk.organizationOwner.postalAddress.cityId"
                            [province] = "dataStnk.organizationOwner.postalAddress.provinceId"
                            on-select="getCitysurat($event)"
                            [readonly] = "true"
                            ></jhi-city-view>
                        </ng-template>
                        
                        <ng-template #templateNormalKota>
                            <jhi-city-view
                            [city] = "communicationEventCDB.idCitySurat"
                            [province] = "communicationEventCDB.idProvinceSurat"
                            on-select="getCitysurat($event)"
                            ></jhi-city-view>
                        </ng-template>
                    <!-- </div> -->
                </div>
    
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.districts">kecamatan</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpkecamatan; else templateNormalkecamatan">
                        </div>
                        <ng-template #templateKtpkecamatan>
                            <jhi-district-view
                            [district] = "dataStnk.organizationOwner.postalAddress.districtId"
                            [city] = "dataStnk.organizationOwner.postalAddress.cityId"
                            on-select="getDistrictSurat($event)"
                            [readonly] = "true"
                            ></jhi-district-view> 
                        </ng-template>
                        <ng-template #templateNormalkecamatan>
                            <jhi-district-view
                            [district] = "communicationEventCDB.idDistrictSurat"
                            [city] = "communicationEventCDB.idCitySurat"
                            on-select="getDistrictSurat($event)"
                            ></jhi-district-view> 
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
    
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.village">Desa</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpDesa; else templateNormalDesa">
                        </div>
                        <ng-template #templateKtpDesa>
                            <jhi-village-view
                            [district] = "dataStnk.organizationOwner.postalAddress.districtId"
                            [village] = "dataStnk.organizationOwner.postalAddress.villageId"
                            on-select="getVillageSurat($event)"
                            [readonly] = "true"
                            ></jhi-village-view> 
                        </ng-template>
                        <ng-template #templateNormalDesa>
                            <jhi-village-view
                            [district] = "communicationEventCDB.idDistrictSurat"
                            [village] = "communicationEventCDB.idVillageSurat"
                            on-select="getVillageSurat($event)"
                            ></jhi-village-view> 
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">
                    <!-- <div *ngIf="isGroup == false"> -->
                        <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.address">Alamat</label>
                        <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpAlamat; else templateNormalAlamat">
                        </div>
                        <ng-template #templateKtpAlamat>
                            <input class="form-control" pInputText type="text" [(ngModel)]="dataStnk.organizationOwner.postalAddress.address1" [disabled]="true"/>
                        </ng-template>
                        <ng-template #templateNormalAlamat>
                            <input class="form-control" pInputText type="text" [(ngModel)]="communicationEventCDB.addressSurat" />
                        </ng-template>
                    <!-- </div> -->
                </div>
    
                <div class="form-group">                      
                    <label class="form-input-label mandatory">Postal Code</label>
                    <div *ngIf="communicationEventCDB.isCityzenIdCardAddress == 1; then templateKtpPostal; else templateNormalPostal">
                    </div>
                    <ng-template #templateKtpPostal>
                        <input class="form-control" pInputText type="text" [(ngModel)]="postalCode" [disabled]="true"/>
                    </ng-template>
                    <ng-template #templateNormalPostal>
                        <input class="form-control" pInputText type="text" [(ngModel)]="communicationEventCDB.postalCodeSurat" maxlength="5"/>
                    </ng-template>         
                </div>
        </div>
    
        <div class="col-md-6">
           
            <div class="form-group">                                
                <label class="form-input-label  ">Group Customer</label>
                <input class="form-control" [(ngModel)]="groupDesc" pInputText type="text" [readonly]="true"/>
            </div>

            <div class="form-group">                                
                <label class="form-input-label  ">Penanggung Jawab</label>
                <input class="form-control" [(ngModel)]="pic" pInputText type="text" [readonly]="true"/>
            </div>
    

            <div class="form-group">
                <label class="form-input-label">Kewarganegaraan Penanggung Jawab</label>
                <select class="form-control" id="field_citizenship" name="citizenship" [(ngModel)]="communicationEventCDB.citizenship" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="citizenships.value" *ngFor="let citizenships of citizenship;">{{citizenships.label}}</option>
                </select>
            </div>
     
    
            <div class="form-group">                     
                <label class="form-input-label  " jhiTranslate="mpmApp.vehicleSalesOrder.statusKepemilikanHP">Status kepemilikan HP</label>
                <select class="form-control" id="field_mobilePhoneOwnershipStatus" name="mobilePhoneOwnershipStatus" [(ngModel)]="communicationEventCDB.mobilePhoneOwnershipStatus" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="mobilePhoneOwnershipStatusOption.value" *ngFor="let mobilePhoneOwnershipStatusOption of hps;">{{mobilePhoneOwnershipStatusOption.label}}</option>
                </select>
                
            </div>
    
    
            <div class="form-group">
                    <label class="form-input-label mandatory" jhiTranslate="mpmApp.vehicleSalesOrder.newInformation">Apakah anda bersedia dikirim informasi terbaru program Honda</label>
                    <select class="form-control" id="field_infoAboutHonda" name="infoAboutHonda" [(ngModel)]="communicationEventCDB.infoAboutHonda" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="infoAboutHondaOption.value" *ngFor="let infoAboutHondaOption of infos;">{{infoAboutHondaOption.label}}</option>
                    </select>
            </div>

            <div class="form-group">                                
                <label class="form-input-label">Jenis Pembayaran</label>
                <input class="form-control" [(ngModel)]="selected" pInputText type="text" [readonly]="true"/>
            </div>

            <div class="form-group">
                <label>Keterangan</label>
                <textarea pInputTextarea class="form-control" autoResize="true" rows="1" [(ngModel)]="communicationEventCDB.keterangan" maxlength="100"></textarea>
            </div>

            <div class="form-group">
            <label class="form-input-label" >Social Media :</label>
            <div class="row">
                <div class="col-md-12" style="padding-left:30px">
                    <div class="form-group">
                        
                        <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.facebook">Facebook</label>
                        <input class="form-control"  [(ngModel)]="communicationEventCDB.facebook" pInputText type="text" />
                    
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12" style="padding-left:30px">
                    <div class="form-group">
                        
                        <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.instagram">Instagram</label>
                        <input class="form-control" [(ngModel)]="communicationEventCDB.instagram" pInputText type="text" />
                    
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12" style="padding-left:30px">
                    <div class="form-group">
                        
                        <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.twitter">Twitter</label>
                        <input class="form-control" [(ngModel)]="communicationEventCDB.twitter" pInputText type="text" />
                    
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12" style="padding-left:30px">
                    <div class="form-group">
                        
                        <label class="form-input-label" jhiTranslate="mpmApp.vehicleSalesOrder.youtube">Youtube</label>
                        <input class="form-control" [(ngModel)]="communicationEventCDB.youtube" pInputText type="text" />
                    
                    </div>
                </div>
            </div>       
        </div> 
    </div>
    
    <br>
    <div class="ui-g-12 ">
        <div class="ui-g-10">
        </div>
        <div class="ui-g-2 "  >
            <button pButton type="button" (click)="submitSurvey()" 
                label="Submit "
                icon="fa-ban"
                [disabled]="!editabled || isSaving"
                class="ui-button-primary flat-label-button btn-block">
            </button>
        </div>
    </div>   
    </div>
    </div>
    </div>